Subject: bug#25476: Test fail

From: Gábor Boskovits <[email-masked]>
Date: Tue, 3 Apr 2018 21:18:08 +0200

Ludovic Courtès <[email-masked]> ezt írta (időpont: 2018. márc. 30., P 18:39):

> Hi Maria,
>
> Thanks for your report.  In practice you can safely ignore this test
> failure.  We had a similar report earlier that this fails on Ubuntu:
> <https://bugs.gnu.org/25476>.
>
> Something we should do, though, is to at least skip the test when we
> know we’re using a faulty kernel.  Currently we already have:
>
>   ;; XXX: Skip this test when running Linux > 4.7.5 to work around
>   ;; <https://bugzilla.kernel.org/show_bug.cgi?id=183461>.
>   (when (or (not perform-container-tests?)
>             (version>? (utsname:release (uname)) "4.7.5"))
>     (test-skip 1))
>
> Gábor, given what you wrote about Ubuntu’s 4.4 kernel, should we
> explicitly flag “4.4.0-116-generic” in a similar way?  Would it be
> enough?
>
>
>
Yes, it seems that would be enough.
We also have this "4.4.0-21-generic" for not x86.

Alternatively we can point Ubuntu users to the LTSEnablementStack.
This provides a 4.8 kernel since 16.04.2. (feb. 2017.)

> Thank you both!
> Ludo’.